 package nenok.lc.constr;

import nenok.va.Variable;

/**
 * This class provides a abstraction for all construction algorithms
 * that are based on variables elimination.
 * 
 * @author Marc Pouly
 * @version 1.1
 */

public abstract class Elimination extends Algorithm {
    
    /**
     * @return The elimination sequence used by this algorithm.
     */
    
    public abstract Variable[] getEliminationSequence();
}
